%global momorel 6

Summary:        Library for applications to pass a menu scructure accross DBus
Name:           libdbusmenu
Version:        0.2.9
Release:        %{momorel}m%{?dist}
License:        LGPLv3
Group:          System Environment/Libraries
URL:            https://launchpad.net/dbusmenu
Source0:        http://launchpad.net/dbusmenu/0.2/%{version}/+download/%{name}-%{version}.tar.gz
NoSource:       0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  intltool
BuildRequires:  libxml2-devel
BuildRequires:  dbus-glib-devel
BuildRequires:  gtk2-devel
BuildRequires:  json-glib-devel
BuildRequires:  vala >= 0.9.2

%description
A small little library that was created by pulling out some comon code
out of indicator-applet. It passes a menu structure across DBus so that
a program can create a menu simply without worrying about how it is
displayed on the other side of the bus.

%package -n dbusmenu-glib
Summary:        Library for applications to pass a menu scructure accross DBus
Group:          System Environment/Libraries

%description -n dbusmenu-glib
A small library for applications to raise "flags" on DBus for other
components of the desktop to pick up and visualize. Currently used by
the messaging indicator.

%package -n dbusmenu-gtk
Summary:        Library for applications to pass a menu scructure accross DBus
Group:          System Environment/Libraries

%description -n dbusmenu-gtk
A small little library that was created by pulling out some comon code
out of indicator-applet. It passes a menu structure across DBus so that
a program can create a menu simply without worrying about how it is
displayed on the other side of the bus.

%package -n dbusmenu-glib-devel
Summary:        Library headers for %{name}
Group:          System Environment/Libraries
Requires:       dbusmenu-glib = %{version}
Provides:       %{name}-devel = %{version}-%{release}

%description -n dbusmenu-glib-devel
This is the libraries, include files and other resources you can use
to incorporate %{name} into applications.

%package -n dbusmenu-gtk-devel
Summary:        Library headers for %{name}
Group:          System Environment/Libraries
Requires:       dbusmenu-gtk = %{version}
Requires:       dbusmenu-glib-devel = %{version}
Provides:       %{name}-gtk-devel = %{version}-%{release}

%description -n dbusmenu-gtk-devel
This is the libraries, include files and other resources you can use
to incorporate %{name} into applications.

%package tools
Summary:        Tools useful when building applications
Group:          System Environment/Libraries

%description tools
This package contains tools that are useful when building applications. 

%prep
%setup -q 

%build
%configure --disable-static --enable-introspection=yes
%make

%install
rm -rf --preserve-root %{buildroot}
%makeinstall

%clean
rm -rf --preserve-root %{buildroot}

%post -n dbusmenu-glib -p /sbin/ldconfig

%post -n dbusmenu-gtk -p /sbin/ldconfig

%postun -n dbusmenu-glib -p /sbin/ldconfig

%postun -n dbusmenu-gtk -p /sbin/ldconfig

%files -n dbusmenu-glib
%defattr(-,root,root)
%{_libdir}/%{name}-glib.so.*
%{_libdir}/girepository-1.0/DbusmenuGlib-0.2.typelib


%files -n dbusmenu-gtk
%defattr(-,root,root)
%{_libdir}/%{name}-gtk.so.*
%exclude %{_libdir}/%{name}-gtk.la
%{_libdir}/girepository-1.0/DbusmenuGtk-0.2.typelib

%files -n dbusmenu-glib-devel
%defattr(-,root,root)
%{_includedir}/libdbusmenu-0.1/libdbusmenu-glib
%{_libdir}/libdbusmenu-glib.so
%exclude %{_libdir}/%{name}-glib.la
%{_libdir}/pkgconfig/dbusmenu-glib.pc
%{_datadir}/gir-1.0/DbusmenuGlib-0.2.gir
%{_datadir}/vala/vapi/DbusmenuGlib-0.2.vapi

%files -n dbusmenu-gtk-devel
%defattr(-,root,root)
%{_includedir}/libdbusmenu-0.1/libdbusmenu-gtk
%{_libdir}/libdbusmenu-gtk.so
%{_libdir}/pkgconfig/dbusmenu-gtk.pc
%{_datadir}/gir-1.0/DbusmenuGtk-0.2.gir
%{_datadir}/vala/vapi/DbusmenuGtk-0.2.vapi

%files tools
%defattr(-,root,root)
%{_libexecdir}/dbusmenu-bench
%{_libexecdir}/dbusmenu-dumper
%{_libexecdir}/dbusmenu-testapp
%{_datadir}/%{name}/json/test-gtk-label.json
%{_defaultdocdir}/%{name}/

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (0.2.9-6m)
- full rebuild for mo7 release

* Mon Jun 21 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.2.9-5m)
- build with vala-0.9.2

* Sun Jun 20 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.2.9-4m)
- vapi and gir to devel

* Wed Jun 16 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.2.9-3m)
- add --enable-introspection=yes
- add patch0 (remove.please)

* Mon May 24 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.2.9-2m)
- add --enable-introspection=no (cannot build)

* Sat May 15 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.2.9-1m)
- initial build for Momonga Linux
